Link an incident to a ServiceNow record
POST
/v1/integrations/servicenow/incidents/{incident_id}/records/{record_key}
const url = 'https://api.adversarial.com/api/v1/integrations/servicenow/incidents/INC-1/records/INC0012345';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/integrations/servicenow/incidents/INC-1/records/INC0012345Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”incident_id
required
string
Incident id, i.e. INC-1 or 42
Example
INC-1record_key
required
string
The ServiceNow record number
Example
INC0012345Query Parameters
Section titled “Query Parameters”table
string | null
Responses
Section titled “Responses”Incident linked to ServiceNow record
Media typeapplication/json
Acknowledgement returned by ticket link/unlink endpoints.
object
status
required
Human-readable confirmation message (e.g. “RSK-00042 linked to ticket PROJ-123”).
string
Examplegenerated
{ "status": "example"}Table is not one of the configured ServiceNow tables